/*
 * Copyright (C) 2017-2024 HERE Global B.V. and its affiliate(s). All rights reserved.
 *
 * This software and other materials contain proprietary information controlled by HERE and are
 * protected by applicable copyright legislation. Any use and utilization of this software and other
 * materials and disclosure to any third parties is conditional upon having a separate agreement
 * with HERE for the access, use, utilization or disclosure of this software. In the absence of such
 * agreement, the use of the software is not allowed.
 */

declare let self: Worker & {
    importScripts(..._scripts: string[]): void;
};

self.importScripts("three.min.js");

import { CoverageTileDecoderService } from "@here/coverage-datasource";
import { VectorTileDecoderService } from "@here/harp-vectortile-datasource/index-worker";
import { registerGeoJsonWorker } from "@here/olp-geojson-datasource/index-worker";
import { registerRibWorker } from "@here/rib-datasource/index-worker";
import { registerSdiiWorker } from "@here/sdii-datasource/index-worker";
import {
    registerSpeedLimitsWorker
} from "./../src/datasources/speedLimitsDataSource/SpeedLimitsDecoder";

/* tslint:disable:no-unused-expression */
VectorTileDecoderService.start();
registerGeoJsonWorker();
registerRibWorker();
registerSdiiWorker();
registerSpeedLimitsWorker();
CoverageTileDecoderService.start();
