<p>This example showcases how an embedded application can control the <code>DataInspector</code>
from outside.</p>

<p>It is possible to change the catalog's {{book.standard.brandName}} Resource Name (HRN), layer, layer version, as well
as zoom level and map view location based on user input or URL parameters.</p>

<p>In this example, an input form is provided where you can enter the HRN, layer, version, latitude,
longitude, and zoom level values in order to change the state of the <code>DataInspector</code>.</p>

<p>For this purpose, <code>DataInspector</code> provides these public methods:</p>

<ul>
<li><code>setState</code>: Sets a new state for the <code>DataInspector</code> and reloads with a new HRN,
layer, and layer version.</li>

<li><code>focusMapCameraAt</code>: Centers the camera at the specified coordinates and sets the desired
zoom level.</li>
</ul>

<p>Also, you can get the state of the <code>DataInspector</code> and maintain it in the URL parameters when
you move around, or specify a new HRN, version, or layer, for example:</p>

<p><code>?hrn={% if book.filtered.RoW %}{{book.filtered.hrnPrefix}}rib-2{% else %}{{book.filtered.hrnPrefix}}here-map-content-china-2{% endif %}&layer=topology-geometry&location=52.4956004,13.3553675&zoomLevel=10</code></p>