/*
 * Copyright (C) 2017-2021 HERE Global B.V. and its affiliate(s). All rights reserved.
 *
 * This software and other materials contain proprietary information controlled by HERE and are
 * protected by applicable copyright legislation. Any use and utilization of this software and other
 * materials and disclosure to any third parties is conditional upon having a separate agreement
 * with HERE for the access, use, utilization or disclosure of this software. In the absence of such
 * agreement, the use of the software is not allowed.
 */

const copyfiles = require("copyfiles");

const destination = process.argv[2];
if (destination === undefined) {
    console.log("Usage:", process.argv[1], "[destination]");
    process.exit(1);
}

copyfiles(["index.html",
           "*plugin*.js",
           "config.ts",
           "config.cn.ts",
           "dist/**",
           "src/**",
           "docs/**",
           "resources/*",
           destination ], (err) => {
    if (err !== undefined) {
        console.error("Copying files failed:", err);
        process.exit(1);
    }
});

