/*
 * Copyright (C) 2017-2021 HERE Global B.V. and its affiliate(s). All rights reserved.
 *
 * This software and other materials contain proprietary information controlled by HERE and are
 * protected by applicable copyright legislation. Any use and utilization of this software and other
 * materials and disclosure to any third parties is conditional upon having a separate agreement
 * with HERE for the access, use, utilization or disclosure of this software. In the absence of such
 * agreement, the use of the software is not allowed.
 */

const { generateConfigs, HTML_ONLY } = require("./generateConfigs");

const examples = {
    verity_control_DI: {
        title: "Control the Visualization",
        path: "./src/verity_control_DI.ts"
    },
    verity_interactive_DI_basic: {
        title: "Embed a Visualization in a TypeScript Application",
        path: "./src/verity_interactive_DI_basic.ts"
    },
    verity_token_provider: {
        title: "Token provider",
        path: HTML_ONLY
    },
    verity_interactive_DI_full: {
        title: "Data Inspector full setup",
        path: "./src/verity_interactive_DI_full.ts"
    },
    verity_js_integration: {
        title: "HTML+JS single page application",
        path: HTML_ONLY,
        viewSrc: "dist/verity_js_integration.html"
    },
    verity_leaflet_geojson: {
        title: "GeoJSON with leaflet",
        path: HTML_ONLY,
        viewSrc: "verity_leaflet_geojson.js"
    },
    verity_leaflet_protobuf: {
        title: "Encoded data with leaflet",
        path: HTML_ONLY,
        viewSrc: "verity_leaflet_protobuf.js"
    },
    verity_DI_geojson_plugin_external_ds: {
        title: "Access to other data source from a GeoJSON plugin",
        path: "./src/verity_DI_geojson_plugin_external_ds.ts"
    },
    verity_openlayers_geojson: {
        title: "GeoJSON with OpenLayers",
        path: HTML_ONLY,
        viewSrc: "verity_openlayers_geojson.js"
    },
    other_DI_3D: { path: "./src/other_DI_3D.ts", devMode: true },
    other_DI_lines_altitude: { path: "./src/other_DI_lines_altitude.ts", devMode: true },
    other_DI_buildings_extruded: { path: "./src/other_DI_buildings_extruded.ts", devMode: true },
    other_sdii_DI: { path: "./src/other_sdii_DI.ts" },
    other_sdii_DI_animated: { path: "./src/other_sdii_DI_animated.ts" },
    other_sdii_DI_plugin: { path: "./src/other_sdii_DI_plugin.ts"},
    other_geojson_simple: { path: "./src/other_geojson_simple.ts" },
    other_geojson_without_dataservice: { path: "./src/other_geojson_without_dataservice.ts" },
    other_geojson_DI_plugin: { path: "./src/other_geojson_DI_plugin.ts" },
    other_geojson_properties: { path: "./src/other_geojson_properties.ts", devMode: true },
    other_geojson_bounding_box: { path: "./src/other_geojson_bounding_box.ts" },
    other_geojson_tilegrid: { path: "./src/other_geojson_tilegrid.ts" },
    other_geojson_events: { path: "./src/other_geojson_events.ts" },
    other_geojson_contenttype_versioned: { path: "./src/other_geojson_contenttype_versioned.ts" },
    other_traffic_DI_flow: { path: "./src/other_traffic_DI_flow.ts", devMode: true },
    other_geometrydataprovider_speedlimits_DI: { path: "./src/other_geometrydataprovider_speedlimits_DI.ts" },

    other_interactive_DI_default: { path: "./src/other_interactive_DI_default.ts", devMode: true },
    other_interactive_DI_minimal: { path: "./src/other_interactive_DI_minimal.ts", devMode: true },
    other_rib_multilayer: { path: "./src/other_rib_multilayer.ts", devMode: true },
    other_geojson_from_file_DI: { path: "./src/other_geojson_from_file_di.ts", devMode: true },
    other_local_partition_development: { path: "./src/other_local_partition_development.ts", devMode: true },
    other_weather_plugin_DI: { path: "./src/other_weather_plugin_DI.ts", devMode: true },
    other_DI_object_store_layer: { path: "./src/other_DI_object_store_layer.ts", isNew: false },
    other_DI_interactive_map_layer: { path: "./src/other_DI_interactive_map_layer.ts", isNew: false },

    automation_performance_geojson: { path: "./src/automation_performance_geojson.ts", devMode: true },
    automation_performance_rib_building: {
        path: "./src/automation_performance_rib_building.ts",
        devMode: true
    },
    automation_performance_rib_carto: {
        path: "./src/automation_performance_rib_carto.ts",
        devMode: true
    },
    automation_performance_rib_topology: {
        path: "./src/automation_performance_rib_topology.ts",
        devMode: true
    }
};

module.exports = generateConfigs(examples, "row");
